# containers.podman.podman_login – Login to a container registry using podman

Note

This plugin is part of the containers.podman collection (version 1.10.1).

To install it use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.podman_login`.

- Synopsis

- Requirements

- Parameters

- Examples

## Synopsis

- Login to a container registry server using the podman login command If the registry is not specified, the first registry under [registries.search] from registries.conf `will be used. The path of the authentication file can be overridden by the user by setting the `authfile flag. The default path used is ${XDG_RUNTIME_DIR}/containers/auth.json.

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
authfile path |  | Path of the authentication file. Default is ``${XDG_RUNTIME_DIR}/containers/auth.json`` You can also override the default path of the authentication file by setting the ``REGISTRY_AUTH_FILE`` environment variable. ``export REGISTRY_AUTH_FILE=path``
certdir path |  | Use certificates at path (*.crt, *.cert, *.key) to connect to the registry. Default certificates directory is /etc/containers/certs.d.
executable string | Default: "podman" | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman`
password string / required |  | Password for the registry server.
registry string |  | Registry server. If the registry is not specified, the first registry under `[registries.search]` from `registries.conf` will be used.
tlsverify boolean | Choices: no yes | Require HTTPS and verify certificates when contacting registries. If explicitly set to true, then TLS verification will be used. If set to false, then TLS verification will not be used. If not specified, TLS verification will be used unless the target registry is listed as an insecure registry in registries.conf.
username string / required |  | Username for the registry server.

## Examples

    - name: Login to default registry and create ${XDG_RUNTIME_DIR}/containers/auth.json
      containers.podman.podman_login:
        username: user
        password: 'p4ssw0rd'

    - name: Login to default registry and create ${XDG_RUNTIME_DIR}/containers/auth.json
      containers.podman.podman_login:
        username: user
        password: 'p4ssw0rd'
        registry: quay.io

### Authors

- Jason Hiatt (@jthiatt)

- Clemens Lange (@clelange)